<p>title: Konstanta
description:</p>
<hr />
<p>Konstanta adalah sebuah nama (seperti variabel) untuk menyimpan suatu nilai. Berbeda dengan variabel, nilai dari Konstanta tidak dapat diubah setelah dia didefinisikan selain itu, konstanta tidak menggunakan karakter <code>$</code> di awalnya.</p>
<p>Membuat sebuah konstanta tidak menggunakan operator assignment (=) seperti pada saat membuat variabel, melainkan menggunakan fungsi.</p>
<pre><code>define(name, value, case-insensitive)</code></pre>
<p><code>name</code> adalah nama Konstanta. <code>value</code> adalah nilai dari konstanta. <code>case-insensitive</code> adalah penentuan apakah konstanta akan bersifat <em>case-insensitive</em> (tidak memperhitungkan huruf kapital dan non-kapital), yang defaultnya bernilai <code>false</code> (artinya secara default bersifat <em>case-sensitive</em>).</p>
<h2>Praktek</h2>
<ul>
<li>
<p>Jalankan program yang ada di editor dan lihat output apa yang muncul.</p>
</li>
<li>
<p>Pada baris 4, ganti kode menjadi </p>
<pre><code>echo pi;</code></pre>
<p>Output apa yang muncul?</p>
</li>
<li>
<p>Pada baris 3, tambahkan parameter ketiga pada fungsi <code>define()</code> dengan nilai <code>true</code> sehingga kodenya menjadi</p>
<pre><code>define('PI', 3.14159265, true);</code></pre>
<p>Jalankan lagi program dan lihat output apa yang muncul?</p>
</li>
<li>
<p>Pada baris 5 - 7, tambahkan kode berikut untuk mengeset ulang nilai konstanta:</p>
<p>Apakah nilai Konstanta berubah dari nilai sebelumnya?</p>
<pre><code>echo '&lt;br /&gt;';
define('PI', 3.14, true);
echo PI;</code></pre>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/konsepdasar-konstanta"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>
<p>​</p>
<p>​</p>
<p>​</p>
</li>
</ul>